X2Go Bug report logs - #792
Error message from X2Go Client when XQuartz is not installed is unclear.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mihai Moldovan <ionic@ionic.de>

Date: Wed, 18 Feb 2015 21:20:01 UTC

Owned by: ionic@ionic.de

Severity: normal

Tags: pending

Found in version 4.0.3.2-preview1

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#792: [X2Go-Dev] Bug#792: Error message from X2Go Client when XQuartz is not installed is unclear.
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 792@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>, ionic@ionic.de
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 23 Feb 2015 08:40:02 +0000
Resent-Message-ID: <handler.792.B792.142468051125856@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 792
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: 
Received: via spool by 792-submit@bugs.x2go.org id=B792.142468051125856
          (code B ref 792); Mon, 23 Feb 2015 08:40:02 +0000
Received: (at 792) by bugs.x2go.org; 23 Feb 2015 08:35:11 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,URIBL_BLOCKED
	autolearn=ham version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 7107B5DCA7
	for <792@bugs.x2go.org>; Mon, 23 Feb 2015 09:35:10 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 0961487;
	Mon, 23 Feb 2015 09:35:10 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id EC2983BABE;
	Mon, 23 Feb 2015 09:35:09 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id LFanayYZ8vw5; Mon, 23 Feb 2015 09:35:09 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id A04013BA69;
	Mon, 23 Feb 2015 09:35:09 +0100 (CET)
Received: from 134.245.44.2 ([134.245.44.2]) by mail.das-netzwerkteam.de
 (Horde Framework) with HTTP; Mon, 23 Feb 2015 08:35:09 +0000
Date: Mon, 23 Feb 2015 08:35:09 +0000
Message-ID: <20150223083509.Horde.OyEBKdfbYRrrinu4c5BkVQ3@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 792@bugs.x2go.org
In-Reply-To: <54E50118.4010504@ionic.de>
User-Agent: Internet Messaging Program (IMP) H5 (6.2.2)
Accept-Language: de,en
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 134.245.44.2
X-Remote-Browser: Mozilla/5.0 (X11; Linux x86_64; rv:32.0) Gecko/20100101
 Firefox/32.0 Iceweasel/32.0
Content-Type: multipart/signed; boundary="=_mfWNkKtqR-sFVgF0Va7Fgw1";
 protocol="application/pgp-signature"; micalg=pgp-sha1
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
On  Mi 18 Feb 2015 22:16:08 CET, Mihai Moldovan wrote:

> Package: x2goclient
> Version: 4.0.3.2-preview1
> Severity: normal
> Owner: ionic@ionic.de
>
> The error messages that pop up when XQuartz is not installed is  
> currently "x2oclient could not find any suitable X11 Application.  
> ..." followed by "You are using X11 (Apple X-Window Server) version  
> ... This version causes problems ..."
>
> The second error message should not show up at all and the first one  
> needs to be fixed to include instructions on where to get XQuartz.
>
> This is paid-for work, triaged, assigned to me and will be fixed by myself.

See also: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=378

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 14 18:35:21 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.